plugins not showing up in protege 5.0.0-beta-24

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

plugins not showing up in protege 5.0.0-beta-24

syntheticperson
I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: plugins not showing up in protege 5.0.0-beta-24

Rafael Gonçalves
Hi Jeroen,

What do you mean by "the plugins don't show up anywhere"? From your console output it seems all available plugins for P5 are already installed, so they wouldn't appear in the plugin list to install.

Cheers,
Rafael

On Apr 11, 2016, at 23:31, Jeroen Lapre' <[hidden email]> wrote:

I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: plugins not showing up in protege 5.0.0-beta-24

syntheticperson
When I go to preferences, the plugins menu does not show up. Ibe. I can't select which ones to install.
On Tue, Apr 12, 2016 at 9:41 AM Rafael Goncalves PhD <[hidden email]> wrote:
Hi Jeroen,

What do you mean by "the plugins don't show up anywhere"? From your console output it seems all available plugins for P5 are already installed, so they wouldn't appear in the plugin list to install.

Cheers,
Rafael

On Apr 11, 2016, at 23:31, Jeroen Lapre' <[hidden email]> wrote:

I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: plugins not showing up in protege 5.0.0-beta-24

Rafael Gonçalves
There is no longer a button to install plugins from the Preferences. In order to check for plugins go to 'File > Check for plugins…’ and the plugin installation dialog will open. Within this dialog, you will get a list of plugins that are not installed, as well as updates to currently installed plugins. The list of installed plugins is shown in the console output when Protege first starts.

Cheers,
Rafael

On Apr 12, 2016, at 13:25, Jeroen Lapre' <[hidden email]> wrote:

When I go to preferences, the plugins menu does not show up. Ibe. I can't select which ones to install.
On Tue, Apr 12, 2016 at 9:41 AM Rafael Goncalves PhD <[hidden email]> wrote:
Hi Jeroen,

What do you mean by "the plugins don't show up anywhere"? From your console output it seems all available plugins for P5 are already installed, so they wouldn't appear in the plugin list to install.

Cheers,
Rafael

On Apr 11, 2016, at 23:31, Jeroen Lapre' <[hidden email]> wrote:

I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: plugins not showing up in protege 5.0.0-beta-24

Csongor Nyulas
Administrator
You can also check the list of installed plugins through the Help -> About menu.

Csongor

On 04/12/2016 01:43 PM, Rafael Gonçalves wrote:
There is no longer a button to install plugins from the Preferences. In order to check for plugins go to 'File > Check for plugins…’ and the plugin installation dialog will open. Within this dialog, you will get a list of plugins that are not installed, as well as updates to currently installed plugins. The list of installed plugins is shown in the console output when Protege first starts.

Cheers,
Rafael

On Apr 12, 2016, at 13:25, Jeroen Lapre' <[hidden email]> wrote:

When I go to preferences, the plugins menu does not show up. Ibe. I can't select which ones to install.
On Tue, Apr 12, 2016 at 9:41 AM Rafael Goncalves PhD <[hidden email]> wrote:
Hi Jeroen,

What do you mean by "the plugins don't show up anywhere"? From your console output it seems all available plugins for P5 are already installed, so they wouldn't appear in the plugin list to install.

Cheers,
Rafael

On Apr 11, 2016, at 23:31, Jeroen Lapre' <[hidden email]> wrote:

I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: plugins not showing up in protege 5.0.0-beta-24

syntheticperson
Thanks, things appear to have changed since earlier versions.
On Tue, Apr 12, 2016 at 1:57 PM Csongor Nyulas <[hidden email]> wrote:
You can also check the list of installed plugins through the Help -> About menu.


Csongor


On 04/12/2016 01:43 PM, Rafael Gonçalves wrote:
There is no longer a button to install plugins from the Preferences. In order to check for plugins go to 'File > Check for plugins…’ and the plugin installation dialog will open. Within this dialog, you will get a list of plugins that are not installed, as well as updates to currently installed plugins. The list of installed plugins is shown in the console output when Protege first starts.

Cheers,
Rafael

On Apr 12, 2016, at 13:25, Jeroen Lapre' <[hidden email]> wrote:

When I go to preferences, the plugins menu does not show up. Ibe. I can't select which ones to install.
On Tue, Apr 12, 2016 at 9:41 AM Rafael Goncalves PhD <[hidden email]> wrote:
Hi Jeroen,

What do you mean by "the plugins don't show up anywhere"? From your console output it seems all available plugins for P5 are already installed, so they wouldn't appear in the plugin list to install.

Cheers,
Rafael

On Apr 11, 2016, at 23:31, Jeroen Lapre' <[hidden email]> wrote:

I'm trying to use protege 5.0.0-beta-24, but the plugins don't show up anywhere. What am I missing?
thanks
Here is what I see in my terminal shell:
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
******************************************************************************** 
**                                  Protege                                   ** 
******************************************************************************** 
 
----------------- Initialising and Starting the OSGi Framework ----------------- 
FrameworkFactory Class: org.apache.felix.framework.FrameworkFactory 
 
The OSGi framework has been initialised 
------------------------------- Starting Bundles ------------------------------- 
Starting bundle org.protege.common 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.protege.editor.core.application 
Starting bundle org.apache.commons.io 
Starting bundle com.google.guava 
Not starting bundle com.google.inject.assistedinject explicitly because it is a fragment bundle. 
Not starting bundle com.google.inject.multibindings explicitly because it is a fragment bundle. 
Starting bundle com.google.inject 
Starting bundle jul.to.slf4j 
Starting bundle log4j.over.slf4j 
Starting bundle ch.qos.logback.classic 
Starting bundle ch.qos.logback.core 
Starting bundle org.apache.servicemix.bundles.aopalliance 
Starting bundle org.apache.servicemix.bundles.javax-inject 
Starting bundle org.eclipse.equinox.common 
Starting bundle org.eclipse.equinox.registry 
Starting bundle org.eclipse.equinox.supplement 
Starting bundle org.semanticweb.owl.owlapi 
Starting bundle org.protege.common 
Starting bundle org.protege.editor.core.application 
Starting bundle org.protege.editor.owl 
Starting bundle slf4j.api 
Starting bundle cellfie 
Starting bundle code-generation 
Starting bundle com.clarkparsia.protege.plugin.pellet 
Starting bundle de.tu-dresden.inf.lat.jcel 
Starting bundle existentialquery 
Starting bundle uk.ac.manchester.cs.owl.explanation 
Starting bundle it.unibz.inf.ontop.protege 
Starting bundle org.protege.ontograf 
Starting bundle org.coode.change 
Starting bundle org.coode.dlquery 
Starting bundle org.protege.editor.owl.diff 
Starting bundle org.semanticweb.elk 
Starting bundle org.semanticweb.hermit 
Starting bundle org.coode.browser 
Starting bundle org.coode.owlviz 
Starting bundle org.protege.owl.rdf 
Starting bundle snap-sparql-query-plugin 
Starting bundle org.protege.editor.owl.rdf 
Starting bundle swrltab-plugin 
Starting bundle uk.ac.manchester.cs.owl.factplusplus 
The OSGi framework has been started 
 
------------------------------------ Protégé ----------------------------------- 
Protégé Desktop 
Version 5.0.0, Build beta-24 
 
 
----------------------------------- Platform ----------------------------------- 
Java: JVM 1.8.0_40-b27  Memory: 466M 
Language: en, Country: US 
Framework: Apache Software Foundation (1.7)  
OS: macos (10.11.3) 
Processor: x86-64
 
 
------------------------------------ Plugins ----------------------------------- 
Plugin: Cellfie Protege 5.0+ Plugin (2.0.0.beta-7) 
Plugin: OWL Code Generation Plug-in (2.0.0) 
Plugin: Pellet Reasoner Plug-in (2.2.0) 
Plugin: jcel (0.23.2) 
Plugin: Existential Query (2.0.0) 
Plugin: Explanation Workbench (3.0.0) 
Plugin: Ontop OBDA Protégé plugin (1.17.1) 
Plugin: OntoGraf (2.0.2) 
Plugin: Change Tracker (2.0.2) 
Plugin: DL Query (3.0.1) 
Plugin: OWL Difference (6.0.2) 
Plugin: ELK Reasoner Protege Plug-in (0.4.3) 
Plugin: HermiT (1.3.8.413) 
Plugin: OWLDoc (3.0.2) 
Plugin: OWLViz (5.0.1) 
Plugin: OWLAPI RDF Library (2.0.2) 
Plugin: snap-sparql-query-plugin (4.1.0) 
Plugin: Protege SPARQL Plugin (2.0.1) 
Plugin: SWRLTab Protege 5.0+ Plugin (1.0.0.beta-52) 
Plugin: Factplusplus Plug-in (1.6.4) 
 
OWLAPI RDF Library Plugin has no plugin.xml resource 
OWL API Version: 4.2.1.20160306-0033 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
------------------------------- Auto-update Check ------------------------------ 
Auto-update last performed: Mon Apr 11 23:12:32 PDT 2016 
Auto-update has been performed today.  Not performing it again. 
 
### Excluding compile: javax.swing.text.GlyphView::getBreakSpot
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 
Loading default configuration parameters for class org.semanticweb.elk.reasoner.config.ReasonerConfiguration 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user